import { FC } from 'react';
import { BoxProps } from './Box';
declare type HoverProps = BoxProps & {
    children(isHovered: boolean): JSX.Element;
    as?: any;
};
export declare const Hover: FC<HoverProps>;
export {};
